Chiwa Pay

Payment Detail

Retrieve payment details and the latest transaction status.

View as Markdown
GET/payments/:id

Returns transaction detail.

Path Params

ParamTypeRequiredDescription
idstringYesTransaction UUID or reference_id.

Request Example

cURL
curl "https://api.chiwapay.com/payments/f2b1d5b0-7b1f-4c5d-9c37-93f0c8f6a001" \  -H "Authorization: Bearer sk_xxx"

Response

{
  "payment": {
    "id": "f2b1d5b0-7b1f-4c5d-9c37-93f0c8f6a001",
    "reference_id": "PAY-LXAMPLE",
    "merchant_reference_id": "ORDER-1024",
    "payment_method_code": "qris",
    "provider": "gopay",
    "currency": "IDR",
    "amount": 150000,
    "fee_amount": 1050,
    "net_amount": 150000,
    "total_amount": 151050,
    "status": "paid",
    "paid_at": "2026-05-19T10:01:00Z",
    "created_at": "2026-05-19T10:00:00Z",
    "updated_at": "2026-05-19T10:01:00Z"
  }
}

Response Fields

FieldDescription
payment.idTransaction UUID.
payment.reference_idChiwa Pay transaction ID.
payment.merchant_reference_idMerchant order ID.
payment.statusTransaction status.
payment.total_amountAmount the customer must pay.
payment.net_amountAmount after fee.
payment.paid_atTime payment was received.

HTTP Error Code

HTTPCodeDescription
401invalid_api_keySecret key is invalid.
403merchant_not_approvedMerchant is not active.
404not_foundTransaction was not found.

On this page